/*
 * Copyright (C) 2018 Wproject - Aitzol Berasategi
 *
 * This file is part of MacBank
 *
 * MacBank is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * MacBank is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
import QtQuick 2.4
import QtQuick.Layouts 1.1
import Ubuntu.Components 1.3

ListItem {
    property var name: ""
    property var content: ""
    property var icon: ""
    property var iconColor: UbuntuColors.slate
    property bool progressSymbol
    //color: theme.palette.normal.background
    height: layout.height


    ListItemLayout {
        id: layout
        title.text: name

        Label{
            text: content
            color: UbuntuColors.ash
        }

        Icon {
            name: icon
            color: iconColor
            width: units.gu(4)
            height: units.gu(4)
            SlotsLayout.position: SlotsLayout.Leading
            visible: icon != "" ? true : false
        }

        ProgressionSlot {
            visible: progressSymbol ? true : false
            SlotsLayout.position: SlotsLayout.Trailing
        }
    }
}
