/*
 * Copyright (C) 2018 Wproject - Aitzol Berasategi
 *
 * This file is part of MacBank
 *
 * MacBank is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * MacBank is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3


PageHeader {

    title: i18n.tr(headerTitle)
    StyleHints {
        foregroundColor: "#FFFFFF"
        backgroundColor: "#1976D2"
        dividerColor: UbuntuColors.slate
    }

    trailingActionBar {
      actions: [
        Action {
          iconName: "sync"
          text: i18n.tr("Update Database")
          onTriggered: {

              progressbar.visible = true
              progressbar.indeterminate = true

              python.call("app.main.on_update_clicked",[], function(result){
                if(result == "Success"){
                    PopupUtils.open(Qt.resolvedUrl("Dialog.qml"), root, {
                        title: i18n.tr("Database Update"),
                        text: i18n.tr("Database successfully updated!"),
                        buttonColor: UbuntuColors.green
                    })
                }else{
                    PopupUtils.open(Qt.resolvedUrl("Dialog.qml"), root, {
                        title: i18n.tr("Database Update"),
                        text: result,
                        buttonColor: UbuntuColors.red
                    })

                    progressbar.visible = false
                }

              });
          }

        },
        Action {
        iconName: "settings"
        text: i18n.tr("Settings")
          onTriggered: {
            pageStack.push(settingsPage)
            headerTitle = i18n.tr("Settings")
            mainPage.visible=false
          }
        },
        Action {
          iconName: "help"
          text: i18n.tr("Help")
          onTriggered: {
            pageStack.push(helpPage)
            headerTitle = i18n.tr("Help")
            mainPage.visible=false
          }
        },
        Action {
          iconName: "info"
          text: i18n.tr("About")
          onTriggered: {
            pageStack.push(aboutPage)
            headerTitle = i18n.tr("About")
            mainPage.visible=false
          }
        }
      ]
      numberOfSlots: 1
    }
}
