/*
 * Copyright (C) 2018 Wproject - Aitzol Berasategi
 *
 * This file is part of MacBank
 *
 * MacBank is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * MacBank is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4
import QtQuick.Controls 2.1
import Ubuntu.Components 1.3

Column{

  Component {
      id: delegateComponent
      Label {
          text: modelData
          font.pointSize: density <=10 ? fontMetrics.font.pointSize *2 : fontMetrics.font.pointSize *1
          horizontalAlignment: Text.AlignHCenter
          verticalAlignment: Text.AlignVCenter
          opacity: 1.0 - Math.abs(Tumbler.displacement) / (Tumbler.tumbler.visibleItemCount / 2)
          color:UbuntuColors.graphite
      }
  }

  ListModel {
      id:dataModel
      Component.onCompleted: {
        for(var i=0;i<elements.length;i++){
          dataModel.append({name: elements[i]})
        }
      }
  }
  property string charVal: tumbler.currentIndex.toString()

  Tumbler {
      id:tumbler
      model:dataModel
      background: Item {
          Rectangle {
              opacity: parent.enabled ? 0.2 : 0.1
              //border.color: "#000000"
              width: parent.width
              height: 1
              anchors.top: parent.top
          }

          Rectangle {
              opacity: parent.enabled ? 0.2 : 0.1
              //border.color: "#000000"
              width: parent.width
              height: 1
              anchors.bottom: parent.bottom
          }
      }

      delegate: delegateComponent

      Rectangle {
          anchors.horizontalCenter: parent.horizontalCenter
          y: parent.height * 0.4
          width: 40
          height: 1
          color: "#21be2b"
      }

      Rectangle {
          anchors.horizontalCenter: parent.horizontalCenter
          y: parent.height * 0.6
          width: 40
          height: 1
          color: "#21be2b"
      }

  }

}
