/*
 * Copyright (C) 2018 Wproject - Aitzol Berasategi
 *
 * This file is part of MacBank
 *
 * MacBank is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * MacBank is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
import QtQuick 2.4
import QtQuick.Window 2.2
import Ubuntu.Components 1.3

import QtGraphicalEffects 1.0

PageStack {
    id: introPageStack

    Component.onCompleted: {
        introPageStack.push(pageIntro1)
    }

    LinearGradient {
        anchors.fill: parent
        start: Qt.point(0, 0)
        end: Qt.point(0, parent.height)
        gradient: Gradient {
            GradientStop { position: 0.0; color: "#CCCCCC" }
            GradientStop { position: 1.0; color: "#ECECEC" }
        }
    }

    property var dotColor : ["#1976D2", "grey", "grey", "grey"]

    Page {
        id: pageIntro1
        visible: false
        header: PageHeader {
            visible: false
        }
        Intro1 {}
    }

    Page {
        id: pageIntro2
        visible: false
        header: PageHeader {
            visible: false
        }
        Intro2 {}
    }

    Page {
        id: pageIntro3
        visible: false
        header: PageHeader {
            visible: false
        }
        Intro3 {}
    }

    Page {
        id: pageIntro4
        visible: false
        header: PageHeader {
            visible: false
        }
        Intro4 {}
    }

}
